Debian Bug report logs - #550316
broken cd-rom polling/detection with (legacy) ide-cd

version graph

Package: devicekit-disks; Maintainer for devicekit-disks is (unknown);

Reported by: Josselin Mouette <joss@debian.org>

Date: Fri, 9 Oct 2009 06:36:05 UTC

Severity: serious

Found in versions 007-2, devicekit-disks/007-1

Fixed in version devicekit-disks/009-2

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=24602

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#550316; Package devicekit-disks. (Fri, 09 Oct 2009 06:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
New Bug report received and forwarded. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 09 Oct 2009 06:36:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: devicekit-disks: Prevents CD from ejecting
Date: Fri, 9 Oct 2009 08:26:37 +0200
Package: devicekit-disks
Version: 007-1
Severity: important

Whenever devkit-disks-daemon is started, I cannot eject my CD drive 
anymore. Pressing the button lets it open and close immediately, before 
the tray can be completely out.

If there is a CD in the drive, it is scanned (and the system is very 
unresponsive during this time) but nothing is detected by devkit.

Killing the daemon immediately gets the drive back to normal.

Here is the output corresponding to this drive in devkit-disks --dump:

Showing information for /org/freedesktop/DeviceKit/Disks/devices/hdb
  native-path:                 /sys/devices/pci0000:00/0000:00:14.1/ide0/0.1/block/hdb
  device:                      3:64
  device-file:                 /dev/hdb
    by-id:                     /dev/disk/by-id/ata-_NEC_DVD_RW_ND-3540A_
    by-path:                   /dev/disk/by-path/pci-0000:00:14.1
  detected at:                 ven 09 oct 2009 08:16:53 CEST
  system internal:             0
  removable:                   1
  has media:                   0
    detects change:            1
    detection by polling:      1
    detection inhibitable:     1
    detection inhibited:       0
  is read only:                0
  is mounted:                  0
  mount paths:             
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       0
  presentation name:           
  presentation icon:           
  size:                        0
  block size:                  0
  job underway:                no
  usage:                       
  type:                        
  version:                     
  uuid:                        
  label:                       
  drive:
    vendor:                    
    model:                     _NEC DVD_RW ND-3540A
    revision:                  1.01
    serial:                    
    detachable:                0
    can spindown:              0
    rotational media:          1
    ejectable:                 1
    media:                     
      compat:                  optical_cd optical_cd_r optical_cd_rw optical_dvd optical_dvd_r optical_mrw optical_mrw_w
    interface:                 (unknown)
    if speed:                  (unknown)
    ATA SMART:                 not available

When there is a CD in the drive, the output is the same.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages devicekit-disks depends on:
ii  libatasmart4      0.16-1                 ATA S.M.A.R.T. reading and parsing
ii  libc6             2.9-26                 GNU C Library: Shared libraries
ii  libdbus-1-3       1.2.16-2               simple interprocess messaging syst
ii  libdbus-glib-1-2  0.82-1                 simple interprocess messaging syst
ii  libdevmapper1.02. 2:1.02.37-1            The Linux Kernel Device Mapper use
ii  libglib2.0-0      2.22.1-1               The GLib library of C routines
ii  libgudev-1.0-0    146-3                  GObject-based wrapper library for 
ii  libparted1.8-12   1.8.8.git.2009.07.19-5 The GNU Parted disk partitioning s
ii  libpolkit-backend 0.94-1                 PolicyKit backend API
ii  libpolkit-gobject 0.94-1                 PolicyKit Authorization API
ii  libsgutils2-2     1.27-1                 utilities for working with generic
ii  libudev0          146-3                  libudev shared library

devicekit-disks recommends no packages.

devicekit-disks suggests no packages.

-- no debconf information

-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling




Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Mon, 12 Oct 2009 06:15:12 GMT) Full text and rfc822 format available.

Notification sent to Josselin Mouette <joss@debian.org>:
Bug acknowledged by developer. (Mon, 12 Oct 2009 06:15:12 GMT) Full text and rfc822 format available.

Message #10 received at 550316-done@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Josselin Mouette <joss@debian.org>, 550316-done@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#550316: devicekit-disks: Prevents CD from ejecting
Date: Mon, 12 Oct 2009 08:03:45 +0200
[Message part 1 (text/plain, inline)]
Version: 007-2

Josselin Mouette wrote:
> Package: devicekit-disks
> Version: 007-1
> Severity: important
> 
> Whenever devkit-disks-daemon is started, I cannot eject my CD drive 
> anymore. Pressing the button lets it open and close immediately, before 
> the tray can be completely out.
> 

Should be fixed in 007-2


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#550316; Package devicekit-disks. (Mon, 12 Oct 2009 16:42:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 12 Oct 2009 16:42:11 GMT) Full text and rfc822 format available.

Message #15 received at 550316@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 550316@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#550316: devicekit-disks: Prevents CD from ejecting
Date: Mon, 12 Oct 2009 18:11:57 +0200
[Message part 1 (text/plain, inline)]
reopen 550316
found 550316 007-2
thanks

Le lundi 12 octobre 2009 à 08:03 +0200, Michael Biebl a écrit : 
> Version: 007-2
> 
> Josselin Mouette wrote:
> > Package: devicekit-disks
> > Version: 007-1
> > Severity: important
> > 
> > Whenever devkit-disks-daemon is started, I cannot eject my CD drive 
> > anymore. Pressing the button lets it open and close immediately, before 
> > the tray can be completely out.
> 
> Should be fixed in 007-2

Unfortunately it is not, the symptoms are still the same.

Cheers, 
-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Bug No longer marked as fixed in versions 007-2 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 12 Oct 2009 16:42:15 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 007-2. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Mon, 12 Oct 2009 16:42:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#550316; Package devicekit-disks. (Wed, 14 Oct 2009 05:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason White <jason@jasonjgw.net>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 14 Oct 2009 05:39:06 GMT) Full text and rfc822 format available.

Message #24 received at 550316@bugs.debian.org (full text, mbox):

From: Jason White <jason@jasonjgw.net>
To: Debian Bug Tracking System <550316@bugs.debian.org>
Subject: Re: Prevents CD from ejecting
Date: Wed, 14 Oct 2009 16:33:16 +1100
Package: devicekit-disks
Version: 007-1
Severity: normal


I am also experiencing this with a DVD drive, Debian Sid updated as of today.

The drive is /dev/hda.

I also notice that if I shut down Gnome and X, devicekit-disks persists, i.e.,
it isn't killed. I don't know whether that's a problem in itself, but combined
with this bug it took a while to work out what was going on (plus some mailing
list discussion), as I mostly work from the console, running Gnome only
occasionally.




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#550316; Package devicekit-disks. (Wed, 14 Oct 2009 08:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 14 Oct 2009 08:51:04 GMT) Full text and rfc822 format available.

Message #29 received at 550316@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Jason White <jason@jasonjgw.net>, 550316@bugs.debian.org
Subject: Re: Bug#550316: Prevents CD from ejecting
Date: Wed, 14 Oct 2009 10:27:32 +0200
Jason White [2009-10-14 16:33 +1100]:
> I also notice that if I shut down Gnome and X, devicekit-disks persists, i.e.,
> it isn't killed.

That's correct. dk-disks is a system service, not tied to any
particular session.

Martin
-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#550316; Package devicekit-disks. (Wed, 14 Oct 2009 21:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to <dmsoler@edu.xunta.es>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 14 Oct 2009 21:42:03 GMT) Full text and rfc822 format available.

Message #34 received at 550316@bugs.debian.org (full text, mbox):

From: <dmsoler@edu.xunta.es>
To: 550316@bugs.debian.org
Subject: Same problem with IDE DVD drives, not with SATA ones
Date: Wed, 14 Oct 2009 23:27:12 +0200
Hi.
I noticed Jason White and Josselin Mouette are experiencing this bug with IDE DVD drives. I have an updated Debian Sid installed on different computers, and I am experiencing this bug in all computers with IDE DVD drives, but not in a box with a SATA DVD drive: this one is working fine with devicekit-disks 007-1.
Regards,
Dionisio Martínez Soler





Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#550316; Package devicekit-disks. (Sat, 17 Oct 2009 00:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason White <jason@jasonjgw.net>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sat, 17 Oct 2009 00:57:03 GMT) Full text and rfc822 format available.

Message #39 received at 550316@bugs.debian.org (full text, mbox):

From: Jason White <jason@jasonjgw.net>
To: Debian Bug Tracking System <550316@bugs.debian.org>
Subject: Re: Prevents CD from ejecting
Date: Sat, 17 Oct 2009 11:48:32 +1100
I can confirm that the purported fix in version 007-1 (currently in
experimental) does not resolve the bug for me either.

The only work-around I have found is to kill devkit-disks-daemon.





Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#550316; Package devicekit-disks. (Sat, 17 Oct 2009 09:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to <dmsoler@edu.xunta.es>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sat, 17 Oct 2009 09:21:03 GMT) Full text and rfc822 format available.

Message #44 received at 550316@bugs.debian.org (full text, mbox):

From: <dmsoler@edu.xunta.es>
To: 550316@bugs.debian.org
Subject: Not fixed in 008-1
Date: Sat, 17 Oct 2009 11:05:11 +0200
I just installed new version 008-1 and I can confirm that this bug is not fixed.

Since gvfs depends on devicekit-disks and gnome-core and nautilus depends on gvfs, the consequence of this bug is you cannot use an IDE DVD drive with Gnome (!?), without killing (as root) devkit-disks-daemon. Perhaps this bug may be tagged with greater severity.

Regards,

Dionisio Martínez Soler




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#550316; Package devicekit-disks. (Sat, 17 Oct 2009 14:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sat, 17 Oct 2009 14:48:08 GMT) Full text and rfc822 format available.

Message #49 received at 550316@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: dmsoler@edu.xunta.es, 550316@bugs.debian.org, Jason White <jason@jasonjgw.net>
Subject: Re: [Pkg-utopia-maintainers] Bug#550316: Not fixed in 008-1
Date: Sat, 17 Oct 2009 16:31:33 +0200
[Message part 1 (text/plain, inline)]
dmsoler@edu.xunta.es wrote:
> I just installed new version 008-1 and I can confirm that this bug is not fixed.
> 
> Since gvfs depends on devicekit-disks and gnome-core and nautilus depends on gvfs, the consequence of this bug is you cannot use an IDE DVD drive with Gnome (!?), without killing (as root) devkit-disks-daemon. Perhaps this bug may be tagged with greater severity.

This only seems to happen on certain types of drives and/or drivers.
I also suspect that it's got something to do with whether you use the
scsi(libata) or ide (pata) subsystem to access the drive.

Could you both send me a "devkit-disks --dump", your kernel version and a lsmod
dump.

Thanks,
Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#550316; Package devicekit-disks. (Sat, 17 Oct 2009 14:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sat, 17 Oct 2009 14:57:03 GMT) Full text and rfc822 format available.

Message #54 received at 550316@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: dmsoler@edu.xunta.es, 550316@bugs.debian.org, Jason White <jason@jasonjgw.net>, Josselin Mouette <joss@debian.org>
Subject: Re: [Pkg-utopia-maintainers] Bug#550316: Not fixed in 008-1
Date: Sat, 17 Oct 2009 16:41:36 +0200
[Message part 1 (text/plain, inline)]
Michael Biebl wrote:
> dmsoler@edu.xunta.es wrote:
>> I just installed new version 008-1 and I can confirm that this bug is not fixed.
>>
>> Since gvfs depends on devicekit-disks and gnome-core and nautilus depends on gvfs, the consequence of this bug is you cannot use an IDE DVD drive with Gnome (!?), without killing (as root) devkit-disks-daemon. Perhaps this bug may be tagged with greater severity.
> 
> This only seems to happen on certain types of drives and/or drivers.
> I also suspect that it's got something to do with whether you use the
> scsi(libata) or ide (pata) subsystem to access the drive.
> 
> Could you both send me a "devkit-disks --dump", your kernel version and a lsmod
> dump.
> 

Oh, and please also the output of "gvfs-mount -oi", when you insert the
dvd/cdrom and try to unmount/eject it.

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#550316; Package devicekit-disks. (Sat, 17 Oct 2009 18:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sat, 17 Oct 2009 18:39:07 GMT) Full text and rfc822 format available.

Message #59 received at 550316@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: dmsoler@edu.xunta.es, 550316@bugs.debian.org, Jason White <jason@jasonjgw.net>, Josselin Mouette <joss@debian.org>
Subject: Re: [Pkg-utopia-maintainers] Bug#550316: Not fixed in 008-1
Date: Sat, 17 Oct 2009 20:37:51 +0200
[Message part 1 (text/plain, inline)]
Michael Biebl wrote:
> Michael Biebl wrote:
>> dmsoler@edu.xunta.es wrote:
>>> I just installed new version 008-1 and I can confirm that this bug is not fixed.
>>>
>>> Since gvfs depends on devicekit-disks and gnome-core and nautilus depends on gvfs, the consequence of this bug is you cannot use an IDE DVD drive with Gnome (!?), without killing (as root) devkit-disks-daemon. Perhaps this bug may be tagged with greater severity.
>> This only seems to happen on certain types of drives and/or drivers.
>> I also suspect that it's got something to do with whether you use the
>> scsi(libata) or ide (pata) subsystem to access the drive.
>>
>> Could you both send me a "devkit-disks --dump", your kernel version and a lsmod
>> dump.
>>
> 
> Oh, and please also the output of "gvfs-mount -oi", when you insert the
> dvd/cdrom and try to unmount/eject it.

The output of devicekit-daemon could also be useful.
Run (as root):
# kill `pidof /usr/lib/devicekit-disks/devkit-disks-daemon`
# /usr/lib/devicekit-disks/devkit-disks-daemon
and insert a cd/data and try to eject?

Is it possible to eject the drive as root with "eject /dev/cdrom"?
Does it happen for audio and/or data cd/dvds?


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#550316; Package devicekit-disks. (Sat, 17 Oct 2009 20:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to <dmsoler@edu.xunta.es>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sat, 17 Oct 2009 20:00:03 GMT) Full text and rfc822 format available.

Message #64 received at 550316@bugs.debian.org (full text, mbox):

From: <dmsoler@edu.xunta.es>
To: biebl@debian.org
Cc: 550316@bugs.debian.org
Subject: The information you asked for
Date: Sat, 17 Oct 2009 21:56:55 +0200
[Message part 1 (text/plain, inline)]
Hi.

Trying to send all the additional information you asked for:

Kernel: 2.6.30-2-686
See attached the output of:
#devkit-disks --dump
#lsmod
$gvfs-mount  -oi
#/usr/lib/devicekit-disks/devkit-disks-daemon (after killing it). When I do "eject /dev/cdrom" (as normal user or as root) in another console, the drive open and close immediately, but nothing is added to the output...

It happens for audio and data cd/dvds: it happens for any disk in drive, or even with an empty drive. Remember that the symptons are (quoting first report by Josselin Mouette):

>Whenever devkit-disks-daemon is started, I cannot eject my CD drive 
>anymore. Pressing the button lets it open and close immediately, before 
>the tray can be completely out.

>If there is a CD in the drive, it is scanned (and the system is very 
>unresponsive during this time) but nothing is detected by devkit.

>Killing the daemon immediately gets the drive back to normal.

Pressing the button or using "eject" as root or as normal user has the same result: open and close immediately. And nothing is detected by devkit when a disk is in the drive, and the disk is not automatically mounted by Gnome: I have to mount it manually with pmount (I have to mount it manually to see any output at all of "gvfs-mount -oi": the output I send is the result of issuing the command "pmount /dev/cdrom && eject").

The drive is accessed using the IDE subsystem because udev choose that, and everything worked fine like that, until devicekit-disks became a dependency of gvfs...

If you need more information, please ask, I'd like to help to see this bug fixed.

Regards,

Dionisio Martínez Soler

[devkit-disks-dump.txt (text/plain, attachment)]
[lsmod.txt (text/plain, attachment)]
[gvfs-mount-oi.txt (text/plain, attachment)]
[devkit-disks-daemon.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#550316; Package devicekit-disks. (Sun, 18 Oct 2009 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason White <jason@jasonjgw.net>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 18 Oct 2009 08:27:07 GMT) Full text and rfc822 format available.

Message #69 received at 550316@bugs.debian.org (full text, mbox):

From: Jason White <jason@jasonjgw.net>
To: Michael Biebl <biebl@debian.org>
Cc: dmsoler@edu.xunta.es, 550316@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#550316: Not fixed in 008-1
Date: Sun, 18 Oct 2009 19:18:18 +1100
[Message part 1 (text/plain, inline)]
Michael Biebl <biebl@debian.org> wrote:
> Could you both send me a "devkit-disks --dump", your kernel version and a
> lsmod dump.

You've asked for more in a later message. I'm going to reply to that
separately.

========================================================================
Showing information for /org/freedesktop/DeviceKit/Disks/devices/fd0
  native-path:                 /sys/devices/platform/floppy.0/block/fd0
  device:                      2:0
  device-file:                 /dev/fd0
  detected at:                 Sun 18 Oct 2009 12:28:47 EST
  system internal:             0
  removable:                   1
  has media:                   0
    detects change:            0
    detection by polling:      0
    detection inhibitable:     0
    detection inhibited:       0
  is read only:                0
  is mounted:                  0
  mount paths:             
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       1
  presentation name:           
  presentation icon:           
  size:                        0
  block size:                  0
  job underway:                no
  usage:                       
  type:                        
  version:                     
  uuid:                        
  label:                       
  drive:
    vendor:                    Floppy Drive
    model:                     
    revision:                  
    serial:                    
    detachable:                0
    can spindown:              0
    rotational media:          1
    ejectable:                 0
    media:                     
      compat:                  floppy
    interface:                 platform
    if speed:                  (unknown)
    ATA SMART:                 not available

========================================================================
Showing information for /org/freedesktop/DeviceKit/Disks/devices/hda
  native-path:                 /sys/devices/pci0000:00/0000:00:1f.1/ide0/0.0/block/hda
  device:                      3:0
  device-file:                 /dev/hda
    by-id:                     /dev/disk/by-id/ata-HL-DT-STDVD+-RW_GSA-H53L_
    by-path:                   /dev/disk/by-path/pci-0000:00:1f.1
  detected at:                 Sun 18 Oct 2009 12:28:47 EST
  system internal:             0
  removable:                   1
  has media:                   0
    detects change:            1
    detection by polling:      1
    detection inhibitable:     1
    detection inhibited:       0
  is read only:                0
  is mounted:                  0
  mount paths:             
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       0
  presentation name:           
  presentation icon:           
  size:                        0
  block size:                  0
  job underway:                no
  usage:                       
  type:                        
  version:                     
  uuid:                        
  label:                       
  drive:
    vendor:                    
    model:                     HL-DT-STDVD+-RW GSA-H53L
    revision:                  W712
    serial:                    
    detachable:                0
    can spindown:              0
    rotational media:          1
    ejectable:                 1
    media:                     
      compat:                  optical_cd optical_cd_r optical_cd_rw optical_dvd optical_dvd_r optical_mrw optical_mrw_w
    interface:                 (unknown)
    if speed:                  (unknown)
    ATA SMART:                 not available

========================================================================
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sda
  native-path:                 /sys/devices/pci0000:00/0000:00:02.0/0000:10:00.0/0000:1e:00.0/0000:20:00.0/host6/target6:1:0/6:1:0:0/block/sda
  device:                      8:0
  device-file:                 /dev/sda
    by-id:                     /dev/disk/by-id/scsi-3600508e00000000016cc1755e882be01
    by-path:                   /dev/disk/by-path/pci-0000:20:00.0-scsi-0:1:0:0
  detected at:                 Sun 18 Oct 2009 12:28:47 EST
  system internal:             1
  removable:                   0
  has media:                   1 (detected at Sun 18 Oct 2009 12:28:47 EST)
    detects change:            0
    detection by polling:      0
    detection inhibitable:     0
    detection inhibited:       0
  is read only:                0
  is mounted:                  0
  mount paths:             
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       0
  presentation name:           
  presentation icon:           
  size:                        145999527936
  block size:                  512
  job underway:                no
  usage:                       
  type:                        
  version:                     
  uuid:                        
  label:                       
  partition table:
    scheme:                    mbr
    count:                     1
  drive:
    vendor:                    LSILOGIC
    model:                     Logical Volume
    revision:                  3000
    serial:                    600508e00000000016cc1755e882be01
    detachable:                0
    can spindown:              0
    rotational media:          1
    ejectable:                 0
    media:                     
      compat:                 
    interface:                 scsi
    if speed:                  (unknown)
    ATA SMART:                 not available

========================================================================
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sda1
  native-path:                 /sys/devices/pci0000:00/0000:00:02.0/0000:10:00.0/0000:1e:00.0/0000:20:00.0/host6/target6:1:0/6:1:0:0/block/sda/sda1
  device:                      8:1
  device-file:                 /dev/sda1
    by-id:                     /dev/disk/by-id/scsi-3600508e00000000016cc1755e882be01-part1
    by-id:                     /dev/disk/by-uuid/7e6b3589-6e9d-49d9-845e-80bc54b055cb
    by-path:                   /dev/disk/by-path/pci-0000:20:00.0-scsi-0:1:0:0-part1
  detected at:                 Sun 18 Oct 2009 12:28:47 EST
  system internal:             1
  removable:                   0
  has media:                   1 (detected at Sun 18 Oct 2009 12:28:47 EST)
    detects change:            0
    detection by polling:      0
    detection inhibitable:     0
    detection inhibited:       0
  is read only:                0
  is mounted:                  1
  mount paths:             /
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       0
  presentation name:           
  presentation icon:           
  size:                        145998687744
  block size:                  512
  job underway:                no
  usage:                       filesystem
  type:                        xfs
  version:                     
  uuid:                        7e6b3589-6e9d-49d9-845e-80bc54b055cb
  label:                       jdc
  partition:
    part of:                   /org/freedesktop/DeviceKit/Disks/devices/sda
    scheme:                    mbr
    number:                    1
    type:                      0x83
    flags:                 boot
    offset:                    32256
    size:                      145998687744
    label:                     
    uuid:                      

========================================================================

uname -a

Linux jdc 2.6.31.3 #2 SMP Fri Oct 9 11:22:46 EST 2009 x86_64 GNU/Linux

Note: standard Debian kernel configuration but kernel compiled locally as a
side effect of tracking down SCSI issues that turned out to be harmless as far
as is known.

lsmod


Module                  Size  Used by
usblp                  14112  0 
binfmt_misc             9740  1 
ppdev                   7656  0 
lp                     11428  0 
sco                    12132  2 
bridge                 55312  0 
stp                     2996  1 bridge
bnep                   14464  2 
rfcomm                 39984  0 
l2cap                  23120  6 bnep,rfcomm
bluetooth              61284  6 sco,bnep,rfcomm,l2cap
rfkill                 23256  1 bluetooth
nfsd                  290704  9 
lockd                  76116  1 nfsd
nfs_acl                 3472  1 nfsd
auth_rpcgss            44576  1 nfsd
sunrpc                218152  8 nfsd,lockd,nfs_acl,auth_rpcgss
acpi_cpufreq            9456  0 
cpufreq_userspace       3748  0 
cpufreq_stats           4996  0 
cpufreq_powersave       1872  0 
cpufreq_conservative     8528  0 
ipt_MASQUERADE          3104  1 
iptable_nat             6752  1 
nf_nat                 21092  2 ipt_MASQUERADE,iptable_nat
nf_conntrack_ipv4      16616  3 iptable_nat,nf_nat
nf_conntrack           77328  4 ipt_MASQUERADE,iptable_nat,nf_nat,nf_conntrack_ipv4
nf_defrag_ipv4          2400  1 nf_conntrack_ipv4
iptable_filter          4032  0 
ip_tables              18560  2 iptable_nat,iptable_filter
x_tables               25432  3 ipt_MASQUERADE,iptable_nat,ip_tables
fuse                   67376  1 
dm_snapshot            25388  0 
dm_mirror              15784  0 
dm_region_hash         13648  1 dm_mirror
dm_log                 11300  2 dm_mirror,dm_region_hash
dm_mod                 77320  3 dm_snapshot,dm_mirror,dm_log
snd_pcsp               11900  0 
tun                    16368  2 
kvm_intel              50808  0 
kvm                   178280  1 kvm_intel
coretemp                7072  0 
sg                     25544  0 
loop                   17244  0 
snd_hda_codec_realtek   271812  1 
snd_hda_intel          29048  0 
snd_rme9652            27264  0 
snd_hda_codec          83696  2 snd_hda_codec_realtek,snd_hda_intel
snd_usb_audio          96192  0 
snd_pcm_oss            40528  0 
snd_mixer_oss          16448  1 snd_pcm_oss
snd_usb_lib            18816  1 snd_usb_audio
snd_pcm                89000  6 snd_pcsp,snd_hda_intel,snd_rme9652,snd_hda_codec,snd_usb_audio,snd_pcm_oss
snd_seq_midi            7456  0 
snd_seq_midi_event      8656  1 snd_seq_midi
snd_seq                57728  2 snd_seq_midi,snd_seq_midi_event
snd_rawmidi            25344  2 snd_usb_lib,snd_seq_midi
snd_timer              23824  2 snd_pcm,snd_seq
snd_seq_device          8244  3 snd_seq_midi,snd_seq,snd_rawmidi
i5000_edac             10176  0 
edac_core              50140  3 i5000_edac
snd_hwdep               9208  2 snd_hda_codec,snd_usb_audio
i5k_amb                 7224  0 
rng_core                5192  0 
snd                    71080  14 snd_pcsp,snd_hda_codec_realtek,snd_hda_intel,snd_rme9652,snd_hda_codec,snd_usb_audio,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_seq,snd_rawmidi,snd_timer,snd_seq_device,snd_hwdep
soundcore               8736  1 snd
snd_page_alloc         10512  3 snd_hda_intel,snd_rme9652,snd_pcm
wmi                     8080  0 
shpchp                 35116  0 
parport_pc             28744  1 
pci_hotplug            30672  1 shpchp
psmouse                45836  0 
evdev                  11440  7 
parport                40960  3 ppdev,lp,parport_pc
button                  6992  0 
processor              42732  1 acpi_cpufreq
serio_raw               6500  0 
xfs                   511040  1 
exportfs                4832  2 nfsd,xfs
sd_mod                 37320  2 
crc_t10dif              2128  1 sd_mod
ide_cd_mod             30088  0 
cdrom                  36104  1 ide_cd_mod
ata_generic             6052  0 
ata_piix               27240  0 
ide_pci_generic         5076  0 
usbhid                 40752  2 
hid                    43488  1 usbhid
uhci_hcd               23840  0 
ahci                   41408  0 
mptsas                 37904  1 
mptscsih               26896  1 mptsas
tg3                   107172  0 
libata                189868  3 ata_generic,ata_piix,ahci
mptbase                63908  2 mptsas,mptscsih
floppy                 60152  0 
libphy                 28128  1 tg3
piix                    7704  0 
ide_core              116096  3 ide_cd_mod,ide_pci_generic,piix
scsi_transport_sas     33744  1 mptsas
ehci_hcd               36912  0 
scsi_mod              172032  6 sg,sd_mod,mptsas,mptscsih,libata,scsi_transport_sas
thermal                17312  0 
fan                     5704  0 
thermal_sys            17856  3 processor,thermal,fan
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#550316; Package devicekit-disks. (Sun, 18 Oct 2009 08:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason White <jason@jasonjgw.net>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 18 Oct 2009 08:42:03 GMT) Full text and rfc822 format available.

Message #74 received at 550316@bugs.debian.org (full text, mbox):

From: Jason White <jason@jasonjgw.net>
To: Michael Biebl <biebl@debian.org>
Cc: dmsoler@edu.xunta.es, 550316@bugs.debian.org, Josselin Mouette <joss@debian.org>
Subject: Re: [Pkg-utopia-maintainers] Bug#550316: Not fixed in 008-1
Date: Sun, 18 Oct 2009 19:27:57 +1100
Michael Biebl <biebl@debian.org> wrote:
 
> Oh, and please also the output of "gvfs-mount -oi", when you insert the
> dvd/cdrom and try to unmount/eject it.

It's extremely difficult, usually impossible to insert the CD/DVD because the
tray closes immediately.

However, I ran gvfs-mount -oi before attempting to open the drive tray and
monitored for events. No events were reported.

devkit-disks-daemon was running while the test was conducted, of course.

Let me know how you would like the devkit-disks-daemon output collected, and
I'll also be glad to conduct further testing.





Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#550316; Package devicekit-disks. (Sun, 18 Oct 2009 13:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 18 Oct 2009 13:57:09 GMT) Full text and rfc822 format available.

Message #79 received at 550316@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 550316@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#550316: devicekit-disks: Prevents CD from ejecting
Date: Sun, 18 Oct 2009 15:52:53 +0200
[Message part 1 (text/plain, inline)]
Le lundi 12 octobre 2009 à 18:12 +0200, Josselin Mouette a écrit : 
> > > Whenever devkit-disks-daemon is started, I cannot eject my CD drive 
> > > anymore. Pressing the button lets it open and close immediately, before 
> > > the tray can be completely out.
> > 
> > Should be fixed in 007-2
> 
> Unfortunately it is not, the symptoms are still the same.

As requested on IRC, I tested this quick hack to work around broken code
that identifies CD drives (my drive being /dev/hdb):

Index: devicekit-disks-008/src/devkit-disks-poller.c
===================================================================
--- devicekit-disks-008.orig/src/devkit-disks-poller.c  2009-10-18 10:07:25.000000000 +0200
+++ devicekit-disks-008/src/devkit-disks-poller.c       2009-10-18 10:08:04.000000000 +0200
@@ -110,7 +110,7 @@ devkit_disks_poller_poll_device (const g
         int fd, fd2;
 
         /* the device file is the canonical device file from udev */
-        is_cdrom = (g_str_has_prefix (device_file, "/dev/sr") || g_str_has_prefix (device_file, "/dev/scd"));
+        is_cdrom = (g_str_equal (device_file, "/dev/hdb") || g_str_has_prefix (device_file, "/dev/sr") || g_str_has_prefix (device_file, "/dev/scd"));
 
 #ifdef POLL_SHOW_DEBUG
         g_print ("**** POLLER (%d): polling %s\n", getpid (), device_file);
Index: devicekit-disks-008/src/job-drive-poll.c
===================================================================
--- devicekit-disks-008.orig/src/job-drive-poll.c       2009-10-18 10:06:51.000000000 +0200
+++ devicekit-disks-008/src/job-drive-poll.c    2009-10-18 10:07:15.000000000 +0200
@@ -55,7 +55,7 @@ main (int argc, char *argv[])
   device_file = argv[1];
 
   /* the device file is the canonical device file from udev */
-  is_cdrom = (g_str_has_prefix (device_file, "/dev/sr") || g_str_has_prefix (device_file, "/dev/scd"));
+  is_cdrom = (g_str_equal (device_file, "/dev/hdb") || g_str_has_prefix (device_file, "/dev/sr") || g_str_has_prefix (device_file, "/dev/scd"));
 
   if (is_cdrom)
     {

With this, the CD isn’t locked anymore and I can insert disks into it,
but it is still not usable by nautilus, which behaves as if no media was
introduced in the drive. After that my kernel logs are full of scary
error messages:

[ 1237.951631] hdb: command error: status=0x51 { DriveReady SeekComplete Error }
[ 1237.951647] hdb: command error: error=0x54 { AbortedCommand LastFailedSense=0x05 }
[ 1237.951655] hdb: possibly failed opcode: 0xa0
[ 1238.189345] ATAPI device hdb:
[ 1238.189354]   Error: Illegal request -- (Sense key=0x05)
[ 1238.189363]   Illegal mode for this track or incompatible medium -- (asc=0x64, ascq=0x00)
[ 1238.189369]   The failed "Read 10" packet command was: 
[ 1238.189372]   "28 00 00 05 60 54 00 00 01 00 00 00 00 00 00 00 "
[ 1238.189391] end_request: I/O error, dev hdb, sector 1409360
[ 1238.189400] Buffer I/O error on device hdb, logical block 352340

Cheers, 
-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#550316; Package devicekit-disks. (Sun, 18 Oct 2009 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 18 Oct 2009 14:45:03 GMT) Full text and rfc822 format available.

Message #84 received at 550316@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Josselin Mouette <joss@debian.org>, 550316@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#550316: Bug#550316: devicekit-disks: Prevents CD from ejecting
Date: Sun, 18 Oct 2009 16:34:08 +0200
[Message part 1 (text/plain, inline)]
retitle 550316 broken cd-rom polling/detection with (legacy) ide-cd
thanks

Josselin Mouette wrote:
> As requested on IRC, I tested this quick hack to work around broken code
> that identifies CD drives (my drive being /dev/hdb):

...

> With this, the CD isn’t locked anymore and I can insert disks into it,
> but it is still not usable by nautilus, which behaves as if no media was
> introduced in the drive. After that my kernel logs are full of scary
> error messages:

All replies so far indicate that this behaviour only happens for systems using
ide-cd/ide-core, i.e. the old IDE subsystem.

The code also makes assumptions (see the is_cdrom check) that only the new
libata subsystem is in use, so the cd-rom drive is opened with the wrong flags
causing the drive to be retracted when it is polled.


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'broken cd-rom polling/detection with (legacy) ide-cd' from 'devicekit-disks: Prevents CD from ejecting' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sun, 18 Oct 2009 14:45:05 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=24602'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sun, 18 Oct 2009 15:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#550316; Package devicekit-disks. (Sun, 18 Oct 2009 16:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 18 Oct 2009 16:09:03 GMT) Full text and rfc822 format available.

Message #93 received at 550316@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 550316@bugs.debian.org
Cc: Josselin Mouette <joss@debian.org>, control@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#550316: Bug#550316: Bug#550316: devicekit-disks: Prevents CD from ejecting
Date: Sun, 18 Oct 2009 18:06:22 +0200
[Message part 1 (text/plain, inline)]
severity 550316 serious
thanks

Michael Biebl wrote:
 > All replies so far indicate that this behaviour only happens for systems using
> ide-cd/ide-core, i.e. the old IDE subsystem.
> 
> The code also makes assumptions (see the is_cdrom check) that only the new
> libata subsystem is in use, so the cd-rom drive is opened with the wrong flags
> causing the drive to be retracted when it is polled.

Apparently, other distros like Fedora or Ubuntu, completely disable the old IDE
subsystem, so they are not hit by this bug.
Wether we want to do the same in Debian needs to be decided with the Debian
Kernel Team.

The current behaviour though is not acceptable for a release in Debian, so I'm
marking it as RC.

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Severity set to 'serious' from 'important' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sun, 18 Oct 2009 16:09:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#550316; Package devicekit-disks. (Sun, 18 Oct 2009 23:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to <dmsoler@edu.xunta.es>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 18 Oct 2009 23:24:08 GMT) Full text and rfc822 format available.

Message #100 received at 550316@bugs.debian.org (full text, mbox):

From: <dmsoler@edu.xunta.es>
To: 550316@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#550316
Date: Mon, 19 Oct 2009 01:09:01 +0200
Michael Biebl wrote:
 > All replies so far indicate that this behaviour only happens for systems using
> ide-cd/ide-core, i.e. the old IDE subsystem.
> 
> The code also makes assumptions (see the is_cdrom check) that only the new
> libata subsystem is in use, so the cd-rom drive is opened with the wrong flags
> causing the drive to be retracted when it is polled.

As far as I know (see bugs #534708 and #535959), current Debian kernels (including 2.6.30) explicitly disables the use of libata for IDE with a patch, and there is an announcement of switch to libata in 2.6.31: http://www.mail-archive.com/debian-kernel@lists.debian.org/msg46483.html

So, if "the code makes assumptions that only the new libata subsystem is in use", I think this package should conflict with any installed Debian linux image until 2.6.30, or at least its documentation should say you must compile your own kernel (or at least one without that patch) to use devicekit-disks with an IDE cd-rom drive.

Thanks for your answers.

Regards,

Dionisio Martínez Soler





Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#550316; Package devicekit-disks. (Mon, 19 Oct 2009 02:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to <dmsoler@edu.xunta.es>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 19 Oct 2009 02:51:04 GMT) Full text and rfc822 format available.

Message #105 received at 550316@bugs.debian.org (full text, mbox):

From: <dmsoler@edu.xunta.es>
To: 550316@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#550316
Date: Mon, 19 Oct 2009 04:37:57 +0200
Michael Biebl wrote:
>Apparently, other distros like Fedora or Ubuntu, completely disable the old IDE
>subsystem, so they are not hit by this bug.

They are not hit by _this_ bug, but they are hit by bugs like this one:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/307829

There are out there some recent pieces of hardware (like this nvidia chipsets, pata_amd module) that have been working like a charm with the "old IDE subsystem", but are (still?) not working (yet?) with libata. 

Regards,

Dionisio Martínez Soler





Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#550316; Package devicekit-disks. (Sun, 25 Oct 2009 10:42:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to alain <alain@duguet.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 25 Oct 2009 10:42:10 GMT) Full text and rfc822 format available.

Message #110 received at 550316@bugs.debian.org (full text, mbox):

From: alain <alain@duguet.org>
To: 550316@bugs.debian.org
Subject: broken cd-rom polling/detection with (legacy) ide-cd
Date: Sun, 25 Oct 2009 12:31:01 +0100
I also tested it by re-installing a 2.6.26 kernel, and it is the same issue.




Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Tue, 17 Nov 2009 22:21:16 GMT) Full text and rfc822 format available.

Notification sent to Josselin Mouette <joss@debian.org>:
Bug acknowledged by developer. (Tue, 17 Nov 2009 22:21:16 GMT) Full text and rfc822 format available.

Message #115 received at 550316-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 550316-close@bugs.debian.org
Subject: Bug#550316: fixed in devicekit-disks 009-2
Date: Tue, 17 Nov 2009 22:19:03 +0000
Source: devicekit-disks
Source-Version: 009-2

We believe that the bug you reported is fixed in the latest version of
devicekit-disks, which is due to be installed in the Debian FTP archive:

devicekit-disks-doc_009-2_all.deb
  to main/d/devicekit-disks/devicekit-disks-doc_009-2_all.deb
devicekit-disks_009-2.diff.gz
  to main/d/devicekit-disks/devicekit-disks_009-2.diff.gz
devicekit-disks_009-2.dsc
  to main/d/devicekit-disks/devicekit-disks_009-2.dsc
devicekit-disks_009-2_i386.deb
  to main/d/devicekit-disks/devicekit-disks_009-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 550316@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated devicekit-disks package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 17 Nov 2009 15:34:19 -0600
Source: devicekit-disks
Binary: devicekit-disks devicekit-disks-doc
Architecture: source all i386
Version: 009-2
Distribution: unstable
Urgency: low
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 devicekit-disks - abstraction for enumerating block devices
 devicekit-disks-doc - abstraction for enumerating block devices - documentation
Closes: 550316
Changes: 
 devicekit-disks (009-2) unstable; urgency=low
 .
   [ Michael Biebl ]
   * debian/patches/09-reiserfs-support.patch
     - Add support for ReiserFS.
 .
   [ Martin Pitt ]
   * Add debian/local/ubuntu.pkla: Allow passwordless file system operations
     for local foreground admin user sessions on Ubuntu. Install it in
     debian/rules. (LP: #465054)
   * Add 02-allow-simulated-smart.patch: Allow simulated SMART data on
     non-SMART devices. This is both useful for testing DK-disks itself, as
     well as recreating bugs with SMART handling. (fd.o #24772)
   * Add 03-hide-configuration-partition-12.patch: Hide Compaq recovery
     partition type 0x12. (fd.o #24999, LP: #451304)
   * Add 04-hide-wd-smartware-partition.patch: Ignore Western Digital SmartWare
     partitions. (fd.o #25009, LP: #474790)
   * Add 06-guid-partition-flags.patch: Fix setting flags for GUID partitions.
     (fd.o #25034)
   * Add 07-fix-atasmart-crash.patch: Fix common crash when
     devkit-disks-helper-ata-smart-collect succeeds, but returns invalid base64
     data on stdout. (fd.o #25043, LP: #419663)
   * debian/local/apport-hook.py:
     - Drop attaching /etc/fstab; it might contain samba (etc.) passwords which
       need to be filtered out.
     - Collect available ATA SMART blobs; they are very useful in debugging
       libatasmart related problems and do not usually pose a privacy risk.
 .
   [ Michael Biebl ]
   * debian/patches/10-ide-cd-support.patch
     - Add support for cd-roms using the legacy ide-cd subsystem by poking the
       device with ioctl() and triggering a fake "change" uevent on state
       changes. (Closes: #550316)
Checksums-Sha1: 
 f2387e9ccf619d1c3ce86df5bcc03fb12efeaec0 1768 devicekit-disks_009-2.dsc
 5788a360d7a43379305151416b26319a1ed6eac6 16710 devicekit-disks_009-2.diff.gz
 3d06010bbe86b2fb981449924f7633f3825add63 58276 devicekit-disks-doc_009-2_all.deb
 cc9ca5ff020ad69b8a67ee61e9919d02ebfecb08 188084 devicekit-disks_009-2_i386.deb
Checksums-Sha256: 
 7dad93059b6d409b9890c28fd9cb92cfa8330a69b92a77720c6d4ba3463f2464 1768 devicekit-disks_009-2.dsc
 ef3d1ffa36fd9e24649b00e4d1f0bc4d93594d43ce988fb5d68d5587628fdc7f 16710 devicekit-disks_009-2.diff.gz
 1891d43d0d2a6c80ee14365a39b7895bbf102a2beb8191e429ba1d7c6402c577 58276 devicekit-disks-doc_009-2_all.deb
 4c35c0bfdca4a72d3c60b55309b23bfd970865b73d147093cac8d8c6551a39bc 188084 devicekit-disks_009-2_i386.deb
Files: 
 f1d5f5b0d752be037d733b6f10075ad9 1768 admin optional devicekit-disks_009-2.dsc
 7ceda95a5cd65d63d974ee1f1f5be1f8 16710 admin optional devicekit-disks_009-2.diff.gz
 dcd55daa1b2eac7186164be6ee8fb6a9 58276 doc optional devicekit-disks-doc_009-2_all.deb
 ca6c853970b344b4e8173a3a8585bbf9 188084 admin optional devicekit-disks_009-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAksDGusACgkQh7PER70FhVSJKgCgyjZHLLAHwAmvpdnlP8MrHczB
ESoAn2OGu8NmaUtFFortM2kmBSuEX5qj
=kpUX
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 21 Dec 2009 07:34:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:36:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.